<h1 class="text-lg-center">TOP 4 MOVIES</h1>

<div class="container">

  <button [disabled]="!enableCheckMovie" class="btn btn-block mb-3" [ngClass]="colorPG">PG</button>
  <button [disabled]="!enableCheckMovie" class="btn btn-block mb-3" [ngClass]="colorPG13">PG-13</button>
  <button [disabled]="!enableCheckMovie" class="btn btn-block mb-3" [ngClass]="colorR">R</button>

  <ul class="list-unstyled">

    <li class="card card-body mb-3" *ngFor="let movie of movies" [class.bg-warning]="movie.rating === 'PG-13'" [class.bg-danger]="movie.rating === 'R'" [class.bg-success]="movie.rating === 'PG'">

      <div class="row">
        <div class="col-4">
          <img class="img-fluid" [src]="movie.img" alt="">
        </div>
        <div class="col-8">
          <h1> {{ movie.title | uppercase }} </h1>
          <h3><strong>Director(s):</strong> {{ movie.directors }} </h3>
          <h3><strong>Actors:</strong> {{ movie.actors }} </h3>
          <h3><strong>Year it was released:</strong> {{ movie.yearReleased | date:'MM/dd/yyyy' }} </h3>
          <h3><strong>Global Gross: {{ movie.balance | currency }} </strong></h3>
          <h3><strong>Rating:</strong> {{ movie.rating }} </h3>
          <ul><strong>Awards:</strong>
            <li *ngIf="movie.awards[0]"> {{ movie.awards[0] }} </li>
            <li *ngIf="movie.awards[1]"> {{ movie.awards[1] }} </li>
            <li *ngIf="movie.awards[2]"> {{ movie.awards[2] }} </li>
          </ul>
          <br>
          <p *ngIf="movie.rating === 'G'"> {{ ratingG() }} </p>
          <p *ngIf="movie.rating === 'PG'"> {{ ratingPG() }} </p>
          <p *ngIf="movie.rating === 'PG-13'"> {{ ratingPG13() }} </p>
          <p *ngIf="movie.rating === 'R'"> {{ ratingR() }} </p>
        </div>
      </div>

    </li>
  </ul>
</div>
